function cor_range=get_range(AQ,water_layer,...
    lowerdepth,upperdepth)
%this fucntion calculate the corrected range 
global water

Xsum=0;
Tsum=0;
Dsum=upperdepth;
cor_range(1:2)=0;
j=water_layer-1;
if j<1
    j=1;
end
VP=water(j,2)*AQ;
AD=water(j+1,1)-upperdepth;
if VP >= 1.0
    VP=1.0-0.1e-09;
end
AT=AD/((sqrt((1.0-VP)*(1.0+VP)))*water(j,2));
AX=AT*water(j,2)*VP;
Xsum=Xsum+AX;
Tsum=Tsum+AT;
Dsum=Dsum+AD;

if Dsum <= lowerdepth
    ja=water_layer+20;
    for i=water_layer:ja
        VP=water(i,2)*AQ;
        AD=water(i+1,1)-water(i,1);
        if VP >= 1.0
            VP=1.0-0.1e-09;
        end
        AT=AD/((sqrt((1.0-VP)*(1.0+VP)))*water(i,2));
        AX=AT*water(i,2)*VP;
        Xsum=Xsum+AX;
        Tsum=Tsum+AT;
        Dsum=Dsum+AD;
        if Dsum > lowerdepth
            break
        end
    end
end
FRAC=(Dsum-lowerdepth)/AD;
cor_range(1)=Tsum-AT*FRAC;
cor_range(2)=Xsum-AX*FRAC;

